Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

distribution_id
string
required

Distribution ID

Body

application/json
description
string

Description of the release

Example:

"My first Release"

platforms
string[]

List of platforms the release should support.

Example:
locale_ids
string[]

List of locale ids that will be included in the release. If empty, distribution locales will be used

Example:
tags
string[]

Only include tagged keys in the release. For a key to be included it must be tagged with all tags provided

Example:
app_min_version
string

Minimum version of the app that the release supports in semver format

Example:

"2.5.0"

app_max_version
string

Maximum version of the app that the release supports in semver format

Example:

"3.0.0"

branch
string

Branch used for release

Example:

"my-feature-branch"

Response

Created

id
string
version
integer
app_min_version
string
app_max_version
string
description
string
platforms
string[]
environments
string[]
locales
locale_preview · object[]
tags
string[]
state
string
project
project_short · object
Example:
created_at
string<date-time>
updated_at
string<date-time>